Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-7414

configurator should prevent users attempting to configure an embedded config store with SSL

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 12.0.0
    • Fix Version/s: None
    • Component/s: configurator
    • Labels:
      None
    • Rank:
      1|hzqhvz:
    • Support Ticket IDs:

      Description

      The embedded OpenDJ is not setup with an LDAPS connector.

      Currently if you perform the graphical install/config wizard the button for enabling 'SSL' is greyed out unless you choose to use an external configuration store.

      With the configurator tool it is possible to get around this by specifying:

      DATA_STORE=embedded 
      DIRECTORY_SSL=SSL
      

      This results in a bad install because OpenAM is configured to try and connect to embedded DJ with SSL.

      It would be better if the configurator prevented this earlier with a message to the user to inform them that their choices are invalid.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              peter.major Peter Major [X] (Inactive)
              Reporter:
              ian.packer Ian Packer [X] (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: